MoreThanOneActiveDataSourceException (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.exceptions
[Java] Class MoreThanOneActiveDataSourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.exceptions.GrailsDataSourceException
                          org.codehaus.groovy.grails.exceptions.MoreThanOneActiveDataSourceException

    public class MoreThanOneActiveDataSourceException
    extends GrailsDataSourceException

Thrown when more than one active data source is configured.

Authors:
  Steven Devijver

Constructor Summary
`MoreThanOneActiveDataSourceException()`
`MoreThanOneActiveDataSourceException(java.lang.String message)`
`MoreThanOneActiveDataSourceException(java.lang.String message, java.lang.Throwable cause)`
`MoreThanOneActiveDataSourceException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### MoreThanOneActiveDataSourceException

    public MoreThanOneActiveDataSourceException()

### MoreThanOneActiveDataSourceException

    public MoreThanOneActiveDataSourceException(java.lang.String message)

### MoreThanOneActiveDataSourceException

    public MoreThanOneActiveDataSourceException(java.lang.String message, java.lang.Throwable cause)

### MoreThanOneActiveDataSourceException

    public MoreThanOneActiveDataSourceException(java.lang.Throwable cause)

Groovy Documentation